Method: services.consumerQuotaMetrics.importAdminOverrides

Creates or updates multiple admin overrides atomically, all on the same consumer, but on many different metrics or limits. The name field in the quota override message should not be set.

HTTP request

POST https://serviceusage.googleapis.com/v1beta1/{parent=*/*/services/*}/consumerQuotaMetrics:importAdminOverrides

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

The resource name of the consumer.

An example name would be: projects/123/services/compute.googleapis.com

Authorization requires the following IAM permission on the specified resource parent:

  • serviceusage.quotas.update

Request body

The request body contains data with the following structure:

JSON representation
{
  "force": boolean,
  "forceOnly": [
    enum (QuotaSafetyCheck)
  ],

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (OverrideInlineSource)
  }
  // End of mutually exclusive fields.
}
Fields
force

boolean

Whether to force the creation of the quota overrides. Setting the force parameter to 'true' ignores all quota safety checks that would fail the request. QuotaSafetyCheck lists all such validations. If force is set to true, it is recommended to include a case id in "X-Goog-Request-Reason" header when sending the request.

forceOnly[]

enum (QuotaSafetyCheck)

The list of quota safety checks to ignore before the override mutation. Unlike 'force' field that ignores all the quota safety checks, the 'forceOnly' field ignores only the specified checks; other checks are still enforced. The 'force' and 'forceOnly' fields cannot both be set. If forceOnly is specified, it is recommended to include a case id in "X-Goog-Request-Reason" header when sending the request.

Source of import data The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
inlineSource

object (OverrideInlineSource)

The import data is specified in the request message itself

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/service.management
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.